buildrootschalter/package/dnsmasq/S80dnsmasq
Gustavo Zacarias cd9c1c3f75 dnsmasq: add sysv initscript
Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
2014-03-29 11:41:14 +01:00

27 lines
466 B
Bash
Executable File

#!/bin/sh
[ -x /usr/sbin/dnsmasq ] || exit 0
[ -f /etc/dnsmasq.conf ] || exit 0
case "$1" in
start)
echo -n "Starting dnsmasq: "
start-stop-daemon -S -x /usr/sbin/dnsmasq
[ $? == 0 ] && echo "OK" || echo "FAIL"
;;
stop)
echo -n "Stopping dnsmasq: "
start-stop-daemon -K -q -x /usr/sbin/dnsmasq
[ $? == 0 ] && echo "OK" || echo "FAIL"
;;
restart|reload)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit 0